Skip to main content
GET
/
twitter
/
user
/
{userName}
/
following
Get User Following
curl --request GET \
  --url https://api.apitwitter.com/twitter/user/{userName}/following \
  --header 'X-API-Key: <api-key>'
{
  "data": {
    "following": [
      {
        "id": "14091091",
        "userName": "NASAHubble",
        "name": "Hubble",
        "screen_name": "NASAHubble",
        "description": "The official X account for the NASA Hubble Space Telescope, managed and operated by NASA's Goddard Space Flight Center.",
        "location": "Goddard Space Flight Center",
        "url": "https://t.co/3bfzzswzV0",
        "created_at": "Thu Mar 06 20:15:02 +0000 2008",
        "followers": 8878030,
        "following": 42,
        "favourites_count": 1218,
        "statuses_count": 8300,
        "listed_count": 15154,
        "media_count": 3047,
        "verified": false,
        "is_blue_verified": true,
        "profile_image_url": "https://pbs.twimg.com/profile_images/3468011581/efb985f24af0a814a722457a768f3cc5_normal.jpeg",
        "profile_banner_url": "https://pbs.twimg.com/profile_banners/14091091/1669391293",
        "protected": false,
        "can_dm": false
      }
    ],
    "next_cursor": "0|2035407347207110654"
  }
}
This endpoint uses the server-side cookie/proxy pool. You only need your API key. Use count and cursor query parameters for pagination.

Authorizations

X-API-Key
string
header
required

Your API key

Path Parameters

userName
string
required

Twitter screen name

Query Parameters

count
integer
default:200

Number of results (default: 200)

cursor
string

Pagination cursor

Response

List of following

status
string

Response status

Example:

"success"

msg
string

Response message

data
any

Response data